Get packages
- Base URL
-
https://{kibana_url}
-
GET
/api/fleet/epm/packages
Auth
Get a list of integration packages available in the registry.
-
Privileges
integrations-read
or
fleet-setup
or
fleet-all
-
category
string
-
Filter packages by category
-
prerelease
boolean
-
When true, include prerelease packages in the results
-
excludeInstallStatus
boolean
-
When true, exclude the install status from the response
-
withPackagePoliciesCount
boolean
-
When true, include the number of package policies per package
-
items
object[] · max items: 10000
required
-
-
categories
string[] · max items: 100
-
conditions
object
-
-
deprecated
object
-
-
description
string · max length: 4096
required
-
replaced_by
map string to string
-
<string>
string · max length: 1024
-
since
string · max length: 50
-
elastic
object
-
-
capabilities
string[] · max items: 10
-
kibana
object
-
-
data_streams
string to object[] · max items: 1000
-
deprecated
object
-
-
description
string · max length: 4096
required
-
replaced_by
map string to string
-
<string>
string · max length: 1024
-
since
string · max length: 50
-
discovery
object
-
-
datasets
object[] · max items: 100
-
-
fields
object[] · max items: 100
-
-
icons
object[] · max items: 100
-
-
installationInfo
object
-
-
additional_spaces_installed_kibana
map string to object
-
<string>
object[] · max items: 100
-
experimental_data_stream_features
object[] · max items: 100
-
-
data_stream
string · max length: 1024
required
-
features
object
required
-
-
doc_value_only_numeric
boolean
-
doc_value_only_other
boolean
-
install_format_schema_version
string
-
install_source
enum
required
-
Values:
registry
upload
bundled
custom
-
install_status
enum
required
-
Values:
installed
installing
install_failed
-
installed_es
object[] · max items: 10000
required
-
-
customDataStreamOriginDataset
string
-
customDataStreamOriginType
string
-
type
enum
required
-
Values:
index
index_template
component_template
ingest_pipeline
ilm_policy
data_stream_ilm_policy
transform
ml_model
knowledge_base
esql_view
-
installed_kibana
object[] · max items: 10000
required
-
-
type
union enum | string
required
-
Values:
dashboard
lens
visualization
search
index-pattern
map
ml-module
security-rule
csp-rule-template
osquery-pack-asset
osquery-saved-query
tag
-
installed_kibana_space_id
string
-
is_rollback_ttl_expired
boolean
-
latest_executed_state
object
-
-
latest_install_failed_attempts
object[] · max items: 10
-
-
created_at
string
required
-
error
object
required
-
-
missing_assets
object[] · max items: 10000
-
-
target_version
string
required
-
namespaces
string[] · max items: 100
-
previous_version
string
nullable
-
verification_key_id
string
nullable
-
verification_status
enum
required
-
Values:
unverified
verified
unknown
-
owner
object
-
-
type
enum
-
Values:
elastic
partner
community
-
policy_templates
string to object[] · max items: 1000
-
release
enum
-
Values:
ga
beta
experimental
-
source
object
-
-
type
union enum | string
-
Values:
integration
input
content
-
var_groups
object[] · max items: 100
-
-
options
object[] · max items: 100
required
-
-
hide_in_deployment_modes
enum[] · max items: 2
-
Values:
default
agentless
-
vars
string[] · max items: 100
required
-
selector_title
string
required
-
vars
string to object[] · max items: 1000
-
attributes
object
required
Thank you for your feedback.